package com.tencent;

import com.alibaba.fastjson.JSONObject;
import lombok.SneakyThrows;
import org.apache.commons.csv.CSVFormat;
import org.apache.commons.csv.CSVParser;
import org.apache.commons.csv.CSVRecord;
import org.junit.jupiter.api.Test;
import org.springframework.web.client.RestTemplate;

import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class GongTest {

    @Test
    @SneakyThrows
    public void test() {

       // String url = "http://133.96.94.108:8044/service2/optimization/mainAction/casHandler?";
        RestTemplate restTemplate = new RestTemplate();
        String filePath = "F:\\2022-05-20.csv";
        CSVFormat format = CSVFormat.DEFAULT.builder().setHeader().build();
        InputStreamReader reader = new InputStreamReader(new FileInputStream(filePath), "gbk");
        CSVParser parse = format.parse(reader);
        int count = 0;
        for (CSVRecord record : parse) {
            Map<String, String> map = record.toMap();
            try {
                DateFormat format2 = new SimpleDateFormat("yyyy-MM-dd hh:mm:ss");
                System.out.println(JSONObject.toJSON(map));
                // 需要在csv中把时间字符串的格式修改一下
                Map<String, Object> map1 = new HashMap<>();
                Map<String, Object> map2 = new HashMap<>();
                map1.put("request", map2);
                Map<String, Object> map3 = new HashMap<>();
                map3.put("data", map);
                Map<String, Object> map4 = new HashMap<>();
                map2.put("body", map3);
                map2.put("head", map4);
                map4.put("from", "kf");
                map4.put("reqTime", format2.format(new Date()));
                map4.put("to", "mcs");
                System.out.println("map------"+map);
                System.out.println("map1------"+map1);
                System.out.println("map2------"+map2);
                System.out.println("map3------"+map3);
                System.out.println("map4------"+map4);
               /* String s = restTemplate.postForObject(url, JSONObject.toJSON(map1), String.class);
                System.out.println(s);*/
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    @Test
    public void GongTest(){
        Long time = new Date().getTime();
        Long timeDate=time-345600000;
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyyMMdd");
        String format = dateFormat.format(timeDate);
        System.out.println(format);
    }
}
