package com.tencent;

import com.tencent.service.HwServiceImpl;
import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.io.IOException;

@RunWith(SpringRunner.class)
@SpringBootTest
class RedwitCsvApplicationTests {
    @Resource
    private HwServiceImpl hwService1;

    @Test
    void TestScan() throws IOException {
        hwService1.scan();
    }

    @Test
    void TestHw() throws IOException {
        String fileReadHwPath="C:\\Users\\DELL\\Desktop\\华为性能数据-1541523616937877505-D-20220820.txt";
        String fileWriteHwPath="C:\\Users\\DELL\\Desktop\\华为性能数据-1541523616937877505-D-20220820.txt.csv";
      HwServiceImpl.readHwCsv(fileReadHwPath,fileWriteHwPath);
    }


    @Test
    void readHwNCECsv() throws IOException {
        String fileReadHwPath="C:\\Users\\DELL\\Desktop\\华为性能数据-1541523616937877505-D-20220904.txt";
        String fileWriteHwPath="C:\\Users\\DELL\\Desktop\\Pm_HW0904.csv";
       /* String  fileReadHwPath="C:\\Users\\DELL\\Desktop\\华为性能数据_NCE-1556947576550666241-D-20220904.txt";
        String fileWriteHwPath="C:\\Users\\DELL\\Desktop\\Pm_NCE0904.csv";*/
        HwServiceImpl.readHwCsv(fileReadHwPath,fileWriteHwPath);
    }

    @Test
    public void redFh() throws IOException {
        String fileReadZxCsv="C:\\Users\\DELL\\Desktop\\中兴性能数据-1543860666701725697-D-20220904.csv";
        String fileWriteZxPath="C:\\Users\\DELL\\Desktop\\Zx_FH0904.csv";
        HwServiceImpl.readZxCsv(fileReadZxCsv,fileWriteZxPath);
    }

}
